xcb_dri3_pixmap_from_buffer(3)

NAME
xcb_dri3_pixmap_from_buffer -

SYNOPSIS
#include <xcb/dri3.h>

  Request function

xcb_void_cookie_t xcb_dri3_pixmap_from_buffer(xcb_connection_t *conn, xcb_pixmap_t pixmap, xcb_drawable_t drawable, uint32_t size, uint16_t width, uint16_t height, uint16_t stride, uint8_t depth, uint8_t bpp, int32_t pixmap_fd);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

pixmap
    TODO: NOT YET DOCUMENTED.

drawable
    TODO: NOT YET DOCUMENTED.

size
    TODO: NOT YET DOCUMENTED.

width
    TODO: NOT YET DOCUMENTED.

height
    TODO: NOT YET DOCUMENTED.

stride
    TODO: NOT YET DOCUMENTED.

depth
    TODO: NOT YET DOCUMENTED.

bpp TODO: NOT YET DOCUMENTED.

pixmap_fd
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_dri3_pixmap_from_buffer_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from dri3.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.